import Request from '../common/request.js';
let request = new Request().http

 export function getDicts(data) {
	 return request('/app/common/getDicts',data,'GET');
 }
 export function sendSmsCode(data) {
 	return request('/app/common/sendSmsCode',data,'POST','application/json;charset=UTF-8');
 }
 export function uploadOSS(data) {
 	 return request('/app/common/uploadOSS',data,'POST','application/json;charset=UTF-8');
 }
 export function getDictByKey(data) {
 	 return request('/app/common/getDictByKey',data,'GET');
 }


 export function getSelectUserList(nickName) {
	 console.log("--------qxj getSelectUserList nickName:",nickName);
	 let data = {"nickName":nickName};
 	 return request('/app/common/getSelectUserList',data,'GET');
 }


 export function getAppVersion(type) {
	 let data = {"type":type+""};
 	 return request('/app/common/getAppVersion',data,'GET');
 }


 export function getCitys() {
 	 return request('/app/common/getCitys',{},'GET');
 }


 export function getHospitalList(data) {
 	 return request('/app/common/getHospitalList',data,'GET');
 }
 export function getDepartmentList(data) {
 	 return request('/app/common/getDepartmentList',data,'GET');
 }
 export function getConfigByKey(data) {
 	 return request('/app/common/getConfigByKey',data,'GET');
 }
 export function getTlsSig(data) {
 	 return request('/app/common/getTlsSig',data,'GET');
 }
 
 